package jp.co.yaskawa.rtc.integratedMotion.armService;

import jp.co.yaskawa.rtc.integratedMotion.RTC.*;
/**
* ManipulatorCommonInterface_CommonPOA.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: ManipulatorCommonInterface_Common.idl
* 2010年10月4日 14時49分41秒 JST
*/

public abstract class ManipulatorCommonInterface_CommonPOA extends org.omg.PortableServer.Servant
 implements ManipulatorCommonInterface_CommonOperations, org.omg.CORBA.portable.InvokeHandler
{

  // Constructors

  private static java.util.Hashtable _methods = new java.util.Hashtable ();
  static
  {
    _methods.put ("clearAlarms", new java.lang.Integer (0));
    _methods.put ("getActiveAlarm", new java.lang.Integer (1));
    _methods.put ("getFeedbackPosJoint", new java.lang.Integer (2));
    _methods.put ("getManipInfo", new java.lang.Integer (3));
    _methods.put ("getSoftLimitJoint", new java.lang.Integer (4));
    _methods.put ("getState", new java.lang.Integer (5));
    _methods.put ("servoOFF", new java.lang.Integer (6));
    _methods.put ("servoON", new java.lang.Integer (7));
    _methods.put ("setSoftLimitJoint", new java.lang.Integer (8));
  }

  public org.omg.CORBA.portable.OutputStream _invoke (String $method,
                                org.omg.CORBA.portable.InputStream in,
                                org.omg.CORBA.portable.ResponseHandler $rh)
  {
    org.omg.CORBA.portable.OutputStream out = null;
    java.lang.Integer __method = (java.lang.Integer)_methods.get ($method);
    if (__method == null)
      throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);

    switch (__method.intValue ())
    {
       case 0:  // ManipulatorCommonInterface_Common/clearAlarms
       {
         RETURN_ID $result = null;
         $result = this.clearAlarms ();
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         break;
       }

       case 1:  // ManipulatorCommonInterface_Common/getActiveAlarm
       {
         AlarmSeqHolder alarms = new AlarmSeqHolder ();
         RETURN_ID $result = null;
         $result = this.getActiveAlarm (alarms);
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         AlarmSeqHelper.write (out, alarms.value);
         break;
       }

       case 2:  // ManipulatorCommonInterface_Common/getFeedbackPosJoint
       {
         JointPosHolder pos = new JointPosHolder ();
         RETURN_ID $result = null;
         $result = this.getFeedbackPosJoint (pos);
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         JointPosHelper.write (out, pos.value);
         break;
       }

       case 3:  // ManipulatorCommonInterface_Common/getManipInfo
       {
         ManipInfoHolder manipInfo = new ManipInfoHolder ();
         RETURN_ID $result = null;
         $result = this.getManipInfo (manipInfo);
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         ManipInfoHelper.write (out, manipInfo.value);
         break;
       }

       case 4:  // ManipulatorCommonInterface_Common/getSoftLimitJoint
       {
         LimitSeqHolder softLimit = new LimitSeqHolder ();
         RETURN_ID $result = null;
         $result = this.getSoftLimitJoint (softLimit);
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         LimitSeqHelper.write (out, softLimit.value);
         break;
       }

       case 5:  // ManipulatorCommonInterface_Common/getState
       {
         org.omg.CORBA.IntHolder state = new org.omg.CORBA.IntHolder ();
         RETURN_ID $result = null;
         $result = this.getState (state);
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         ULONGHelper.write (out, state.value);
         break;
       }

       case 6:  // ManipulatorCommonInterface_Common/servoOFF
       {
         RETURN_ID $result = null;
         $result = this.servoOFF ();
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         break;
       }

       case 7:  // ManipulatorCommonInterface_Common/servoON
       {
         RETURN_ID $result = null;
         $result = this.servoON ();
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         break;
       }

       case 8:  // ManipulatorCommonInterface_Common/setSoftLimitJoint
       {
         LimitValue softLimit[] = LimitSeqHelper.read (in);
         RETURN_ID $result = null;
         $result = this.setSoftLimitJoint (softLimit);
         out = $rh.createReply();
         RETURN_IDHelper.write (out, $result);
         break;
       }

       default:
         throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
    }

    return out;
  } // _invoke

  // Type-specific CORBA::Object operations
  private static String[] __ids = {
    "IDL:ManipulatorCommonInterface_Common:1.0"};

  public String[] _all_interfaces (org.omg.PortableServer.POA poa, byte[] objectId)
  {
    return (String[])__ids.clone ();
  }

  public ManipulatorCommonInterface_Common _this() 
  {
    return ManipulatorCommonInterface_CommonHelper.narrow(
    super._this_object());
  }

  public ManipulatorCommonInterface_Common _this(org.omg.CORBA.ORB orb) 
  {
    return ManipulatorCommonInterface_CommonHelper.narrow(
    super._this_object(orb));
  }


} // class ManipulatorCommonInterface_CommonPOA
