package jp.co.yaskawa.rtc.integratedMotion.controller;

/**
* AlarmHelper.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: IntegratedMotionInterface.idl
* 2011年1月18日 14時33分32秒 JST
*/

abstract public class AlarmHelper
{
  private static String  _id = "IDL:Alarm:1.0";

  public static void insert (org.omg.CORBA.Any a, Alarm that)
  {
    org.omg.CORBA.portable.OutputStream out = a.create_output_stream ();
    a.type (type ());
    write (out, that);
    a.read_value (out.create_input_stream (), type ());
  }

  public static Alarm extract (org.omg.CORBA.Any a)
  {
    return read (a.create_input_stream ());
  }

  private static org.omg.CORBA.TypeCode __typeCode = null;
  private static boolean __active = false;
  synchronized public static org.omg.CORBA.TypeCode type ()
  {
    if (__typeCode == null)
    {
      synchronized (org.omg.CORBA.TypeCode.class)
      {
        if (__typeCode == null)
        {
          if (__active)
          {
            return org.omg.CORBA.ORB.init().create_recursive_tc ( _id );
          }
          __active = true;
          org.omg.CORBA.StructMember[] _members0 = new org.omg.CORBA.StructMember [4];
          org.omg.CORBA.TypeCode _tcOf_members0 = null;
          _tcOf_members0 = org.omg.CORBA.ORB.init ().get_primitive_tc (org.omg.CORBA.TCKind.tk_ulong);
          _members0[0] = new org.omg.CORBA.StructMember (
            "code",
            _tcOf_members0,
            null);
          _tcOf_members0 = AlarmTypeHelper.type ();
          _members0[1] = new org.omg.CORBA.StructMember (
            "type",
            _tcOf_members0,
            null);
          _tcOf_members0 = org.omg.CORBA.ORB.init ().create_string_tc (0);
          _members0[2] = new org.omg.CORBA.StructMember (
            "description",
            _tcOf_members0,
            null);
          _tcOf_members0 = org.omg.CORBA.ORB.init ().create_string_tc (0);
          _members0[3] = new org.omg.CORBA.StructMember (
            "moduleName",
            _tcOf_members0,
            null);
          __typeCode = org.omg.CORBA.ORB.init ().create_struct_tc (AlarmHelper.id (), "Alarm", _members0);
          __active = false;
        }
      }
    }
    return __typeCode;
  }

  public static String id ()
  {
    return _id;
  }

  public static Alarm read (org.omg.CORBA.portable.InputStream istream)
  {
    Alarm value = new Alarm ();
    value.code = istream.read_ulong ();
    value.type = AlarmTypeHelper.read (istream);
    value.description = istream.read_string ();
    value.moduleName = istream.read_string ();
    return value;
  }

  public static void write (org.omg.CORBA.portable.OutputStream ostream, Alarm value)
  {
    ostream.write_ulong (value.code);
    AlarmTypeHelper.write (ostream, value.type);
    ostream.write_string (value.description);
    ostream.write_string (value.moduleName);
  }

}
