package jp.co.yaskawa.rtc.integratedMotion.controller;

/**
* FrameTypeHelper.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: IntegratedMotionInterface.idl
* 2011年1月18日 14時33分32秒 JST
*/

abstract public class FrameTypeHelper
{
  private static String  _id = "IDL:FrameType:1.0";

  public static void insert (org.omg.CORBA.Any a, FrameType that)
  {
    org.omg.CORBA.portable.OutputStream out = a.create_output_stream ();
    a.type (type ());
    write (out, that);
    a.read_value (out.create_input_stream (), type ());
  }

  public static FrameType extract (org.omg.CORBA.Any a)
  {
    return read (a.create_input_stream ());
  }

  private static org.omg.CORBA.TypeCode __typeCode = null;
  synchronized public static org.omg.CORBA.TypeCode type ()
  {
    if (__typeCode == null)
    {
      __typeCode = org.omg.CORBA.ORB.init ().create_enum_tc (FrameTypeHelper.id (), "FrameType", new String[] { "ORIGINAL_FRAME", "CURRENT_FRAME"} );
    }
    return __typeCode;
  }

  public static String id ()
  {
    return _id;
  }

  public static FrameType read (org.omg.CORBA.portable.InputStream istream)
  {
    return FrameType.from_int (istream.read_long ());
  }

  public static void write (org.omg.CORBA.portable.OutputStream ostream, FrameType value)
  {
    ostream.write_long (value.value ());
  }

}
