package jp.co.yaskawa.rtc.integratedMotion.controller;


/**
* _IntegratedMotionInterfaceStub.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: IntegratedMotionInterface.idl
* 2011年9月7日 9時50分06秒 JST
*/

public class _IntegratedMotionInterfaceStub extends org.omg.CORBA.portable.ObjectImpl implements IntegratedMotionInterface
{

  public ReturnID abort ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("abort", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return abort (        );
            } finally {
                _releaseReply ($in);
            }
  } // abort

  public ReturnID clearAlarms ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("clearAlarms", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return clearAlarms (        );
            } finally {
                _releaseReply ($in);
            }
  } // clearAlarms

  public ReturnID closeGripper (RightLeft type)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("closeGripper", true);
                RightLeftHelper.write ($out, type);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return closeGripper (type        );
            } finally {
                _releaseReply ($in);
            }
  } // closeGripper

  public ReturnID getActiveAlarm (AlarmSeqHolder alarms)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getActiveAlarm", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                alarms.value = AlarmSeqHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getActiveAlarm (alarms        );
            } finally {
                _releaseReply ($in);
            }
  } // getActiveAlarm

  public ReturnID getFeedbackPosCartesian (RightLeft type, FrameType frameType, CarPosWithElbowHolder pos)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getFeedbackPosCartesian", true);
                RightLeftHelper.write ($out, type);
                FrameTypeHelper.write ($out, frameType);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                pos.value = CarPosWithElbowHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getFeedbackPosCartesian (type, frameType, pos        );
            } finally {
                _releaseReply ($in);
            }
  } // getFeedbackPosCartesian

  public ReturnID getFeedbackPosJoint (UnitType type, DoubleSeqHolder position)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getFeedbackPosJoint", true);
                UnitTypeHelper.write ($out, type);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                position.value = DoubleSeqHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getFeedbackPosJoint (type, position        );
            } finally {
                _releaseReply ($in);
            }
  } // getFeedbackPosJoint

  public ReturnID getGripperPos (RightLeft type, org.omg.CORBA.IntHolder angleRatio)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getGripperPos", true);
                RightLeftHelper.write ($out, type);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                angleRatio.value = $in.read_ulong ();
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getGripperPos (type, angleRatio        );
            } finally {
                _releaseReply ($in);
            }
  } // getGripperPos

  public ReturnID getState (org.omg.CORBA.IntHolder statusId, org.omg.CORBA.StringHolder message)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getState", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                statusId.value = $in.read_ulong ();
                message.value = $in.read_string ();
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getState (statusId, message        );
            } finally {
                _releaseReply ($in);
            }
  } // getState

  public ReturnID getVersion (org.omg.CORBA.StringHolder version)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getVersion", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                version.value = $in.read_string ();
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getVersion (version        );
            } finally {
                _releaseReply ($in);
            }
  } // getVersion

  public boolean isMoving ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("isMoving", true);
                $in = _invoke ($out);
                boolean $result = $in.read_boolean ();
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return isMoving (        );
            } finally {
                _releaseReply ($in);
            }
  } // isMoving

  public boolean isServoOn ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("isServoOn", true);
                $in = _invoke ($out);
                boolean $result = $in.read_boolean ();
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return isServoOn (        );
            } finally {
                _releaseReply ($in);
            }
  } // isServoOn

  public ReturnID moveCPHoldAbs (RightLeft type, RedundantPos absPos, RedundantSpeed speed, RedundantAccel accel)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveCPHoldAbs", true);
                RightLeftHelper.write ($out, type);
                RedundantPosHelper.write ($out, absPos);
                RedundantSpeedHelper.write ($out, speed);
                RedundantAccelHelper.write ($out, accel);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveCPHoldAbs (type, absPos, speed, accel        );
            } finally {
                _releaseReply ($in);
            }
  } // moveCPHoldAbs

  public ReturnID moveCPHoldRel (RightLeft type, RedundantPos relPos, RedundantSpeed speed, RedundantAccel accel)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveCPHoldRel", true);
                RightLeftHelper.write ($out, type);
                RedundantPosHelper.write ($out, relPos);
                RedundantSpeedHelper.write ($out, speed);
                RedundantAccelHelper.write ($out, accel);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveCPHoldRel (type, relPos, speed, accel        );
            } finally {
                _releaseReply ($in);
            }
  } // moveCPHoldRel

  public ReturnID moveGripper (RightLeft type, int angleRatio)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveGripper", true);
                RightLeftHelper.write ($out, type);
                $out.write_ulong (angleRatio);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveGripper (type, angleRatio        );
            } finally {
                _releaseReply ($in);
            }
  } // moveGripper

  public ReturnID moveJogCPHold (RightLeft type, RedundantJogSpeed speed)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveJogCPHold", true);
                RightLeftHelper.write ($out, type);
                RedundantJogSpeedHelper.write ($out, speed);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveJogCPHold (type, speed        );
            } finally {
                _releaseReply ($in);
            }
  } // moveJogCPHold

  public ReturnID moveJogLinear (RightLeft type, CommandFrameType frameType, CartesianJogSpeed speed, boolean isHoldOtherArm)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveJogLinear", true);
                RightLeftHelper.write ($out, type);
                CommandFrameTypeHelper.write ($out, frameType);
                CartesianJogSpeedHelper.write ($out, speed);
                $out.write_boolean (isHoldOtherArm);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveJogLinear (type, frameType, speed, isHoldOtherArm        );
            } finally {
                _releaseReply ($in);
            }
  } // moveJogLinear

  public ReturnID moveLinearCartesianAbs (RightLeft type, double[][] absHgMat, CartesianSpeed speed, CartesianAccel accel, boolean isHoldOtherArm)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveLinearCartesianAbs", true);
                RightLeftHelper.write ($out, type);
                HgMatrixHelper.write ($out, absHgMat);
                CartesianSpeedHelper.write ($out, speed);
                CartesianAccelHelper.write ($out, accel);
                $out.write_boolean (isHoldOtherArm);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveLinearCartesianAbs (type, absHgMat, speed, accel, isHoldOtherArm        );
            } finally {
                _releaseReply ($in);
            }
  } // moveLinearCartesianAbs

  public ReturnID moveLinearCartesianRel (RightLeft type, CommandFrameType frameType, double[][] relHgMat, CartesianSpeed speed, CartesianAccel accel, boolean isHoldOtherArm)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveLinearCartesianRel", true);
                RightLeftHelper.write ($out, type);
                CommandFrameTypeHelper.write ($out, frameType);
                HgMatrixHelper.write ($out, relHgMat);
                CartesianSpeedHelper.write ($out, speed);
                CartesianAccelHelper.write ($out, accel);
                $out.write_boolean (isHoldOtherArm);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveLinearCartesianRel (type, frameType, relHgMat, speed, accel, isHoldOtherArm        );
            } finally {
                _releaseReply ($in);
            }
  } // moveLinearCartesianRel

  public ReturnID moveLinearCartesianAbsWithRedundant (RightLeft type, double[][] absCpPos, CartesianSpeed speed, CartesianAccel accel, RedundantPos absRedPos, RedundantSpeed redSpeed, RedundantAccel redAccel, boolean isHoldOtherArm)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveLinearCartesianAbsWithRedundant", true);
                RightLeftHelper.write ($out, type);
                HgMatrixHelper.write ($out, absCpPos);
                CartesianSpeedHelper.write ($out, speed);
                CartesianAccelHelper.write ($out, accel);
                RedundantPosHelper.write ($out, absRedPos);
                RedundantSpeedHelper.write ($out, redSpeed);
                RedundantAccelHelper.write ($out, redAccel);
                $out.write_boolean (isHoldOtherArm);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveLinearCartesianAbsWithRedundant (type, absCpPos, speed, accel, absRedPos, redSpeed, redAccel, isHoldOtherArm        );
            } finally {
                _releaseReply ($in);
            }
  } // moveLinearCartesianAbsWithRedundant

  public ReturnID moveLinearCartesianRelWithRedundant (RightLeft type, double[][] relCpPos, CartesianSpeed speed, CartesianAccel accel, RedundantPos relRedPos, RedundantSpeed redSpeed, RedundantAccel redAccel, boolean isHoldOtherArm)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveLinearCartesianRelWithRedundant", true);
                RightLeftHelper.write ($out, type);
                HgMatrixHelper.write ($out, relCpPos);
                CartesianSpeedHelper.write ($out, speed);
                CartesianAccelHelper.write ($out, accel);
                RedundantPosHelper.write ($out, relRedPos);
                RedundantSpeedHelper.write ($out, redSpeed);
                RedundantAccelHelper.write ($out, redAccel);
                $out.write_boolean (isHoldOtherArm);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveLinearCartesianRelWithRedundant (type, relCpPos, speed, accel, relRedPos, redSpeed, redAccel, isHoldOtherArm        );
            } finally {
                _releaseReply ($in);
            }
  } // moveLinearCartesianRelWithRedundant

  public ReturnID movePTPCartesianAbs (RightLeft type, double[][] absHgMat, double time, boolean isHoldOtherArm)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("movePTPCartesianAbs", true);
                RightLeftHelper.write ($out, type);
                HgMatrixHelper.write ($out, absHgMat);
                $out.write_double (time);
                $out.write_boolean (isHoldOtherArm);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return movePTPCartesianAbs (type, absHgMat, time, isHoldOtherArm        );
            } finally {
                _releaseReply ($in);
            }
  } // movePTPCartesianAbs

  public ReturnID movePTPCartesianRel (RightLeft type, double[][] relHgMat, double time, boolean isHoldOtherArm)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("movePTPCartesianRel", true);
                RightLeftHelper.write ($out, type);
                HgMatrixHelper.write ($out, relHgMat);
                $out.write_double (time);
                $out.write_boolean (isHoldOtherArm);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return movePTPCartesianRel (type, relHgMat, time, isHoldOtherArm        );
            } finally {
                _releaseReply ($in);
            }
  } // movePTPCartesianRel

  public ReturnID moveUnitAbs (UnitType type, double[] absPos, double[] speed, double[] accel)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveUnitAbs", true);
                UnitTypeHelper.write ($out, type);
                DoubleSeqHelper.write ($out, absPos);
                DoubleSeqHelper.write ($out, speed);
                DoubleSeqHelper.write ($out, accel);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveUnitAbs (type, absPos, speed, accel        );
            } finally {
                _releaseReply ($in);
            }
  } // moveUnitAbs

  public ReturnID moveUnitRel (UnitType type, double[] relPos, double[] speed, double[] accel)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("moveUnitRel", true);
                UnitTypeHelper.write ($out, type);
                DoubleSeqHelper.write ($out, relPos);
                DoubleSeqHelper.write ($out, speed);
                DoubleSeqHelper.write ($out, accel);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return moveUnitRel (type, relPos, speed, accel        );
            } finally {
                _releaseReply ($in);
            }
  } // moveUnitRel

  public ReturnID openGripper (RightLeft type)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("openGripper", true);
                RightLeftHelper.write ($out, type);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return openGripper (type        );
            } finally {
                _releaseReply ($in);
            }
  } // openGripper

  public ReturnID pause ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("pause", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return pause (        );
            } finally {
                _releaseReply ($in);
            }
  } // pause

  public ReturnID resetOriginalFrame ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("resetOriginalFrame", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return resetOriginalFrame (        );
            } finally {
                _releaseReply ($in);
            }
  } // resetOriginalFrame

  public ReturnID resume ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("resume", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return resume (        );
            } finally {
                _releaseReply ($in);
            }
  } // resume

  public ReturnID selectRedundantAxes (RedundantAxesMask redundancy, RedundantLimit limit)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("selectRedundantAxes", true);
                RedundantAxesMaskHelper.write ($out, redundancy);
                RedundantLimitHelper.write ($out, limit);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return selectRedundantAxes (redundancy, limit        );
            } finally {
                _releaseReply ($in);
            }
  } // selectRedundantAxes

  public ReturnID servoOff ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("servoOff", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return servoOff (        );
            } finally {
                _releaseReply ($in);
            }
  } // servoOff

  public ReturnID servoOn ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("servoOn", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return servoOn (        );
            } finally {
                _releaseReply ($in);
            }
  } // servoOn

  public ReturnID setControlPointOffset (RightLeft type, double[][] offset)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("setControlPointOffset", true);
                RightLeftHelper.write ($out, type);
                HgMatrixHelper.write ($out, offset);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return setControlPointOffset (type, offset        );
            } finally {
                _releaseReply ($in);
            }
  } // setControlPointOffset

  public ReturnID setJogTimeout (int time)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("setJogTimeout", true);
                $out.write_ulong (time);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return setJogTimeout (time        );
            } finally {
                _releaseReply ($in);
            }
  } // setJogTimeout

  public ReturnID stop ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("stop", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return stop (        );
            } finally {
                _releaseReply ($in);
            }
  } // stop

  // Type-specific CORBA::Object operations
  private static String[] __ids = {
    "IDL:IntegratedMotionInterface:1.0"};

  public String[] _ids ()
  {
    return (String[])__ids.clone ();
  }

  private void readObject (java.io.ObjectInputStream s) throws java.io.IOException
  {
     String str = s.readUTF ();
     String[] args = null;
     java.util.Properties props = null;
     org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init (args, props);
   try {
     org.omg.CORBA.Object obj = orb.string_to_object (str);
     org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl) obj)._get_delegate ();
     _set_delegate (delegate);
   } finally {
     orb.destroy() ;
   }
  }

  private void writeObject (java.io.ObjectOutputStream s) throws java.io.IOException
  {
     String[] args = null;
     java.util.Properties props = null;
     org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init (args, props);
   try {
     String str = orb.object_to_string (this);
     s.writeUTF (str);
   } finally {
     orb.destroy() ;
   }
  }
} // class _IntegratedMotionInterfaceStub
