package jp.co.yaskawa.rtc.integratedMotion.toRedundancy;

/**
* RedundancyConfigPOA.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: RedundancyConfig.idl
* 2011年8月2日 10時57分41秒 JST
*/

public abstract class RedundancyConfigPOA extends org.omg.PortableServer.Servant
 implements RedundancyConfigOperations, org.omg.CORBA.portable.InvokeHandler
{

  // Constructors

  private static java.util.Hashtable _methods = new java.util.Hashtable ();
  static
  {
    _methods.put ("resetOriginalFrame", new java.lang.Integer (0));
    _methods.put ("selectMode", new java.lang.Integer (1));
    _methods.put ("selectRedundancy", new java.lang.Integer (2));
    _methods.put ("setControlPointOffset", new java.lang.Integer (3));
    _methods.put ("setRedundantAxesLimit", new java.lang.Integer (4));
  }

  public org.omg.CORBA.portable.OutputStream _invoke (String $method,
                                org.omg.CORBA.portable.InputStream in,
                                org.omg.CORBA.portable.ResponseHandler $rh)
  {
    org.omg.CORBA.portable.OutputStream out = null;
    java.lang.Integer __method = (java.lang.Integer)_methods.get ($method);
    if (__method == null)
      throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);

    switch (__method.intValue ())
    {
       case 0:  // RedundancyConfig/resetOriginalFrame
       {
         ReturnID $result = null;
         $result = this.resetOriginalFrame ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 1:  // RedundancyConfig/selectMode
       {
         short mode = in.read_short ();
         RightLeft type = RightLeftHelper.read (in);
         boolean isHoldOtherArm = in.read_boolean ();
         ReturnID $result = null;
         $result = this.selectMode (mode, type, isHoldOtherArm);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 2:  // RedundancyConfig/selectRedundancy
       {
         RedundantAxesMask redundancy = RedundantAxesMaskHelper.read (in);
         ReturnID $result = null;
         $result = this.selectRedundancy (redundancy);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 3:  // RedundancyConfig/setControlPointOffset
       {
         RightLeft type = RightLeftHelper.read (in);
         double offset[][] = HgMatrixHelper.read (in);
         ReturnID $result = null;
         $result = this.setControlPointOffset (type, offset);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 4:  // RedundancyConfig/setRedundantAxesLimit
       {
         RedundantLimit limit = RedundantLimitHelper.read (in);
         ReturnID $result = null;
         $result = this.setRedundantAxesLimit (limit);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       default:
         throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
    }

    return out;
  } // _invoke

  // Type-specific CORBA::Object operations
  private static String[] __ids = {
    "IDL:RedundancyConfig:1.0"};

  public String[] _all_interfaces (org.omg.PortableServer.POA poa, byte[] objectId)
  {
    return (String[])__ids.clone ();
  }

  public RedundancyConfig _this() 
  {
    return RedundancyConfigHelper.narrow(
    super._this_object());
  }

  public RedundancyConfig _this(org.omg.CORBA.ORB orb) 
  {
    return RedundancyConfigHelper.narrow(
    super._this_object(orb));
  }


} // class RedundancyConfigPOA
