package jp.co.yaskawa.rtc.integratedMotion.controller;

/**
* RedundantLimitHelper.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: IntegratedMotionInterface.idl
* 2011年1月18日 14時33分32秒 JST
*/

abstract public class RedundantLimitHelper
{
  private static String  _id = "IDL:RedundantLimit:1.0";

  public static void insert (org.omg.CORBA.Any a, RedundantLimit that)
  {
    org.omg.CORBA.portable.OutputStream out = a.create_output_stream ();
    a.type (type ());
    write (out, that);
    a.read_value (out.create_input_stream (), type ());
  }

  public static RedundantLimit extract (org.omg.CORBA.Any a)
  {
    return read (a.create_input_stream ());
  }

  private static org.omg.CORBA.TypeCode __typeCode = null;
  private static boolean __active = false;
  synchronized public static org.omg.CORBA.TypeCode type ()
  {
    if (__typeCode == null)
    {
      synchronized (org.omg.CORBA.TypeCode.class)
      {
        if (__typeCode == null)
        {
          if (__active)
          {
            return org.omg.CORBA.ORB.init().create_recursive_tc ( _id );
          }
          __active = true;
          org.omg.CORBA.StructMember[] _members0 = new org.omg.CORBA.StructMember [8];
          org.omg.CORBA.TypeCode _tcOf_members0 = null;
          _tcOf_members0 = LimitValueHelper.type ();
          _members0[0] = new org.omg.CORBA.StructMember (
            "rightElbow",
            _tcOf_members0,
            null);
          _tcOf_members0 = LimitValueHelper.type ();
          _members0[1] = new org.omg.CORBA.StructMember (
            "leftElbow",
            _tcOf_members0,
            null);
          _tcOf_members0 = LimitValueHelper.type ();
          _members0[2] = new org.omg.CORBA.StructMember (
            "lumbarRx",
            _tcOf_members0,
            null);
          _tcOf_members0 = LimitValueHelper.type ();
          _members0[3] = new org.omg.CORBA.StructMember (
            "lumbarRy",
            _tcOf_members0,
            null);
          _tcOf_members0 = LimitValueHelper.type ();
          _members0[4] = new org.omg.CORBA.StructMember (
            "lumbarRz",
            _tcOf_members0,
            null);
          _tcOf_members0 = LimitValueHelper.type ();
          _members0[5] = new org.omg.CORBA.StructMember (
            "vehicleX",
            _tcOf_members0,
            null);
          _tcOf_members0 = LimitValueHelper.type ();
          _members0[6] = new org.omg.CORBA.StructMember (
            "vehicleY",
            _tcOf_members0,
            null);
          _tcOf_members0 = LimitValueHelper.type ();
          _members0[7] = new org.omg.CORBA.StructMember (
            "vehicleTheta",
            _tcOf_members0,
            null);
          __typeCode = org.omg.CORBA.ORB.init ().create_struct_tc (RedundantLimitHelper.id (), "RedundantLimit", _members0);
          __active = false;
        }
      }
    }
    return __typeCode;
  }

  public static String id ()
  {
    return _id;
  }

  public static RedundantLimit read (org.omg.CORBA.portable.InputStream istream)
  {
    RedundantLimit value = new RedundantLimit ();
    value.rightElbow = LimitValueHelper.read (istream);
    value.leftElbow = LimitValueHelper.read (istream);
    value.lumbarRx = LimitValueHelper.read (istream);
    value.lumbarRy = LimitValueHelper.read (istream);
    value.lumbarRz = LimitValueHelper.read (istream);
    value.vehicleX = LimitValueHelper.read (istream);
    value.vehicleY = LimitValueHelper.read (istream);
    value.vehicleTheta = LimitValueHelper.read (istream);
    return value;
  }

  public static void write (org.omg.CORBA.portable.OutputStream ostream, RedundantLimit value)
  {
    LimitValueHelper.write (ostream, value.rightElbow);
    LimitValueHelper.write (ostream, value.leftElbow);
    LimitValueHelper.write (ostream, value.lumbarRx);
    LimitValueHelper.write (ostream, value.lumbarRy);
    LimitValueHelper.write (ostream, value.lumbarRz);
    LimitValueHelper.write (ostream, value.vehicleX);
    LimitValueHelper.write (ostream, value.vehicleY);
    LimitValueHelper.write (ostream, value.vehicleTheta);
  }

}
