/**
 
  COPYRIGHT (c) 2010 Yaskawa Electric Corporation.
  
  $Revision: $
  $Author:   $
  $Date:     $
  
  Description:
  状態オブジェクト保持クラス
   
 */
package jp.co.yaskawa.rtc.integratedMotion.module.state;

/**
 * @author motohisa
 *
 */
public class StateObjectHolder<T> {

	Off<T> off_;
	Unpowered<T> unPowered_;
	Powered<T> powered_;
	Ready<T> ready_;
	Busy<T> busy_;
	Pause<T> pause_;
	Alarm<T> alarm_;
	
    public Off<T> getOffStateObject() {
        return off_;
    }
    
    public void setOffStateObject(Off<T> off_) {
        this.off_ = off_;
        this.off_.setStateObjectHolder(this);
    }
    
    public Unpowered<T> getUnPoweredStateObject() {
        return unPowered_;
    }
    
    public void setUnPoweredStateObject(Unpowered<T> unPowered_) {
        this.unPowered_ = unPowered_;
        this.unPowered_.setStateObjectHolder(this);
    }
    
    public Powered<T> getPoweredStateObject() {
        return powered_;
    }
    
    public void setPoweredStateObject(Powered<T> powered_) {
        this.powered_ = powered_;
        this.powered_.setStateObjectHolder(this);
    }
    
    public Ready<T> getReadyStateObject() {
        return ready_;
    }
    
    public void setReadyStateObject(Ready<T> ready_) {
        this.ready_ = ready_;
        this.ready_.setStateObjectHolder(this);
    }
    
    public Busy<T> getBusyStateObject() {
        return busy_;
    }
    
    public void setBusyStateObject(Busy<T> busy_) {
        this.busy_ = busy_;
        this.busy_.setStateObjectHolder(this);
    }
    
    public Pause<T> getPauseStateObject() {
        return pause_;
    }
    
    public void setPauseStateObject(Pause<T> pause_) {
        this.pause_ = pause_;
        this.pause_.setStateObjectHolder(this);
    }
    
    public Alarm<T> getAlarmStateObject() {
        return alarm_;
    }
    
    public void setAlarmStateObject(Alarm<T> alarm_) {
        this.alarm_ = alarm_;
        this.alarm_.setStateObjectHolder(this);
    }
}
